Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.processing.raster.interpolation
Class Interpolation

    java.lang.Object
      org.deegree.processing.raster.interpolation.Interpolation

Direct Known Subclasses:
  InverseDistanceToPower

    public abstract class Interpolation

extends Object

`Interpolation` is the abstract base class for all interpolation algorithms. Data representation is done via the Quadtree interface.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`protected double` | `autoincreaseSearchRadius1`
`protected double` | `autoincreaseSearchRadius2`
`protected Quadtree<?>` | `data`
`protected Values` | `ignoreValues`
`protected int` | `maxData`
`protected int` | `minData`
`protected double` | `noValue`
`protected double` | `searchRadius1`
`protected double` | `searchRadius2`
`protected double` | `searchRadiusAngle`

Constructor Summary
`protected` | `Interpolation(Quadtree<?> data)`
`protected` | `Interpolation(Quadtree<?> data, Values ignoreValues)`
`protected` | `Interpolation(Quadtree<?> data, Values ignoreValues, double searchRadius1, double searchRadius2, double searchRadiusAngle, int minData, int maxData, double noValue, double autoincreaseSearchRadius1, double autoincreaseSearchRadius2)`

Method Summary
`abstract double` | `calcInterpolatedValue(double x, double y, double searchRadius1, double searchRadius2)` calculates the interpolated value for a position defined by x and y
`FloatGridCoverage` | `interpolate(int width, int height)` performs the interpolation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected Quadtree<?> data

### ignoreValues

    protected Values ignoreValues

### searchRadius1

    protected double searchRadius1

### searchRadius2

    protected double searchRadius2

### searchRadiusAngle

    protected double searchRadiusAngle

### minData

    protected int minData

### maxData

    protected int maxData

### noValue

    protected double noValue

### autoincreaseSearchRadius1

    protected double autoincreaseSearchRadius1

### autoincreaseSearchRadius2

    protected double autoincreaseSearchRadius2

Constructor Detail

### Interpolation

    protected Interpolation(Quadtree<?> data)

Parameters:
  `data` -

### Interpolation

    protected Interpolation(Quadtree<?> data,
                            Values ignoreValues)

Parameters:
  `data` -
  `ignoreValues` -

### Interpolation

    protected Interpolation(Quadtree<?> data,
                            Values ignoreValues,
                            double searchRadius1,
                            double searchRadius2,
                            double searchRadiusAngle,
                            int minData,
                            int maxData,
                            double noValue,
                            double autoincreaseSearchRadius1,
                            double autoincreaseSearchRadius2)

Parameters:
  `data` -
  `ignoreValues` -
  `searchRadius1` -
  `searchRadius2` -
  `searchRadiusAngle` -
  `minData` -
  `maxData` -
  `noValue` -
  `autoincreaseSearchRadius1` -
  `autoincreaseSearchRadius2` -

Method Detail

### interpolate

    public FloatGridCoverage interpolate(int width,
                                         int height)
                                  throws InterpolationException

  performs the interpolation

  Parameters:
    `width` - width of the result grid in number of cells
    `height` - height of the result grid in number of cells
  Returns:
    result grid as an instance of
  Throws:
    `InterpolationException`
  See Also:
    `GridCoverage`

### calcInterpolatedValue

    public abstract double calcInterpolatedValue(double x,
                                                 double y,
                                                 double searchRadius1,
                                                 double searchRadius2)
                                          throws InterpolationException

  calculates the interpolated value for a position defined by x and y

  Parameters:
    `x` -
    `y` -
    `searchRadius1` -
    `searchRadius2` -
  Returns:
    the interpolated value
  Throws:
    `InterpolationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org